- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WPS8TextInternal::Object Struct Reference

Internal: class to store an object definition. More...

## Public Types
enum | Type { Unknown = 0, Table, Image }
| the object type More...

## Public Member Functions
| Object ()
| constructor More...

## Public Attributes
int | m_type
| the type (normally a Type, ...) More...
int | m_id
| an identificator More...
Vec2f | m_size
| the size of the object in a page More...
long | m_unknown
| unknown data More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator << More...

## Detailed Description

Internal: class to store an object definition.

## Member Enumeration Documentation

enum WPS8TextInternal::Object::Type

the object type

Enumerator
Unknown |
Table |
Image |

## Constructor & Destructor Documentation

WPS8TextInternal::Object::Object | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |
| friend

operator <<

## Member Data Documentation

std::string WPS8TextInternal::Object::m_error

a string used to store the parsing errors

Referenced by WPS8TextInternal::operator<<().

int WPS8TextInternal::Object::m_id

an identificator

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::readText().

Vec2f WPS8TextInternal::Object::m_size

the size of the object in a page

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::readText().

int WPS8TextInternal::Object::m_type

the type (normally a Type, ...)

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::readText().

long WPS8TextInternal::Object::m_unknown

unknown data

Referenced by WPS8TextInternal::operator<<().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp